View Issue Details

IDProjectCategoryView StatusLast Update
0000739NoesisGUIUnity3Dpublic2018-11-30 21:08
ReportereasylaserAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0b5 
Summary0000739: GridLength struct is not exposed to C# correctly
DescriptionI cannot make a value converter that returns a GridLength.

I get these errors when running:

1:
 
Exception: System.InvalidOperationException: Native type is not registered
  at Noesis.Extend.GetNativeTypeInfo (IntPtr nativeType) [0x00012] in /Users/MarJoh/G3/g3_unity/Assets/Plugins/NoesisGUI/Scripts/Core/NoesisExtend.cs:294
  at Noesis.Extend.ConverterConvert (IntPtr unityType, IntPtr cPtr, IntPtr valPtr, IntPtr typePtr, IntPtr paramPtr) [0x0000d] in /Users/MarJoh/G3/g3_unity/Assets/Plugins/NoesisGUI/Scripts/Core/NoesisExtend.cs:1582
Noesis.Error.Check () (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisError.cs:21)
Noesis.UIRenderer.Noesis_CreateRenderer (IntPtr root) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisUIRendererImports.cs:87)
Noesis.UIRenderer..ctor (Noesis.FrameworkElement content, Vector2 offscreenSize, UnityEngine.GameObject target) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisUIRenderer.cs:112)
NoesisGUIPanel.LoadXaml () (at Assets/Plugins/NoesisGUI/Scripts/NoesisGUIPanel.cs:503)
NoesisGUIPanel.OnEnable () (at Assets/Plugins/NoesisGUI/Scripts/NoesisGUIPanel.cs:375)
 
2:
InvalidOperationException: Native type is not registered
Noesis.Extend.GetNativeTypeInfo (IntPtr nativeType) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisExtend.cs:294)
Noesis.Extend.ConverterConvert (IntPtr unityType, IntPtr cPtr, IntPtr valPtr, IntPtr typePtr, IntPtr paramPtr) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisExtend.cs:1582)
UnityEngine.Debug:LogException(Exception)
Noesis.Error:SetNativePendingError(Exception) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisError.cs:29)
Noesis.Extend:ConverterConvert(IntPtr, IntPtr, IntPtr, IntPtr, IntPtr) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisExtend.cs:1601)
System.Object:wrapper_native_0x156ccf250(IntPtr)
Noesis.UIRenderer:Noesis_CreateRenderer(IntPtr) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisUIRendererImports.cs:86)
Noesis.UIRenderer:.ctor(FrameworkElement, Vector2, GameObject) (at Assets/Plugins/NoesisGUI/Scripts/Core/NoesisUIRenderer.cs:112)
NoesisGUIPanel:LoadXaml() (at Assets/Plugins/NoesisGUI/Scripts/NoesisGUIPanel.cs:503)
NoesisGUIPanel:OnEnable() (at Assets/Plugins/NoesisGUI/Scripts/NoesisGUIPanel.cs:375)
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-10-21 21:30 martinj New Issue
2015-10-29 11:04 sfernandez Assigned To => sfernandez
2015-10-29 11:04 sfernandez Status new => assigned
2015-11-30 11:58 sfernandez Target Version => 1.2.6f2
2017-12-14 10:02 sfernandez Reporter martinj => easylaser
2018-11-01 02:14 jsantos View Status public => private
2018-11-21 13:03 jsantos Target Version 1.2.6f2 => 2.2.0
2018-11-21 13:03 jsantos View Status private => public
2018-11-21 13:03 jsantos Platform => Any
2018-11-30 21:08 sfernandez Status assigned => resolved
2018-11-30 21:08 sfernandez Resolution open => fixed
2018-11-30 21:08 sfernandez Fixed in Version => 2.2.0b5